Package com.sap.ai.sdk.core.client

# Class ObjectStoreSecretApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.ObjectStoreSecretApi

public class ObjectStoreSecretApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectStoreSecretApi()`
  Instantiates this API class to invoke operations on the AI Core
  `ObjectStoreSecretApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndobjectStoreSecretCreationResponse`
  `create(BckndobjectStoreSecretWithSensitiveDataRequestForPostCall bckndobjectStoreSecretWithSensitiveDataRequestForPostCall)`
  Create a secret
  `BckndobjectStoreSecretCreationResponse`
  `create(BckndobjectStoreSecretWithSensitiveDataRequestForPostCall bckndobjectStoreSecretWithSensitiveDataRequestForPostCall, String authorization, String aiResourceGroup)`
  Create a secret
  `BckndobjectStoreSecretDeletionResponse`
  `delete(String objectStoreName)`
  Delete object store secret
  `BckndobjectStoreSecretDeletionResponse`
  `delete(String objectStoreName, String authorization, String aiResourceGroup)`
  Delete object store secret
  `BckndobjectStoreSecretStatus`
  `get(String objectStoreName)`
  Returns the of metadata of secrets which match the query parameter.
  `BckndobjectStoreSecretStatus`
  `get(String objectStoreName, String authorization, String aiResourceGroup)`
  Returns the of metadata of secrets which match the query parameter.
  `BckndobjectStoreSecretModificationResponse`
  `patch(String objectStoreName, BckndobjectStoreSecretWithSensitiveDataRequest bckndobjectStoreSecretWithSensitiveDataRequest)`
  Update object store secret
  `BckndobjectStoreSecretModificationResponse`
  `patch(String objectStoreName, BckndobjectStoreSecretWithSensitiveDataRequest bckndobjectStoreSecretWithSensitiveDataRequest, String authorization, String aiResourceGroup)`
  Update object store secret
  `BckndobjectStoreSecretStatusResponse`
  `query()`
  Get a list of metadata of available secrets.
  `BckndobjectStoreSecretStatusResponse`
  `query(Integer $top, Integer $skip, Boolean $count, String authorization, String aiResourceGroup)`
  Get a list of metadata of available secrets.
  `ObjectStoreSecretApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectStoreSecretApi

    public ObjectStoreSecretApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### ObjectStoreSecretApi

    public ObjectStoreSecretApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public ObjectStoreSecretApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### create

    @Nonnull public BckndobjectStoreSecretCreationResponse create(@Nonnull BckndobjectStoreSecretWithSensitiveDataRequestForPostCall bckndobjectStoreSecretWithSensitiveDataRequestForPostCall, @Nullable String authorization, @Nullable String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create a secret

    Create a secret based on the configuration in the request body

    202 - The request to create a k8s secret based on the given configuration has been accepted.

    400 - One of the following failure cases has occurred: <ul> <li> Neither JSON nor YAML was able to be parsed. <li> The request was invalidly formatted

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `bckndobjectStoreSecretWithSensitiveDataRequestForPostCall` - (required) The value for the parameter bckndobjectStoreSecretWithSensitiveDataRequestForPostCall
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `aiResourceGroup` - (optional, default to default) Specify an existing resource group id to use. Uses \"default\" if value not provided.
    Returns:
      BckndobjectStoreSecretCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### create

    @Nonnull public BckndobjectStoreSecretCreationResponse create(@Nonnull BckndobjectStoreSecretWithSensitiveDataRequestForPostCall bckndobjectStoreSecretWithSensitiveDataRequestForPostCall) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create a secret

    Create a secret based on the configuration in the request body

    202 - The request to create a k8s secret based on the given configuration has been accepted.

    400 - One of the following failure cases has occurred: <ul> <li> Neither JSON nor YAML was able to be parsed. <li> The request was invalidly formatted

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `bckndobjectStoreSecretWithSensitiveDataRequestForPostCall` - The value for the parameter bckndobjectStoreSecretWithSensitiveDataRequestForPostCall
    Returns:
      BckndobjectStoreSecretCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public BckndobjectStoreSecretDeletionResponse delete(@Nonnull String objectStoreName, @Nullable String authorization, @Nullable String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete object store secret

    Delete a secret with the name of objectStoreName if it exists.

    202 - The request to delete the secret has been accepted.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `objectStoreName` - (required) Name of the object store for the secret.
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `aiResourceGroup` - (optional, default to default) Specify an existing resource group id to use. Uses \"default\" if value not provided.
    Returns:
      BckndobjectStoreSecretDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public BckndobjectStoreSecretDeletionResponse delete(@Nonnull String objectStoreName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete object store secret

    Delete a secret with the name of objectStoreName if it exists.

    202 - The request to delete the secret has been accepted.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `objectStoreName` - Name of the object store for the secret.
    Returns:
      BckndobjectStoreSecretDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BckndobjectStoreSecretStatus get(@Nonnull String objectStoreName, @Nullable String authorization, @Nullable String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Returns the of metadata of secrets which match the query parameter.

    This retrieves the metadata of the stored secret which match the parameter objectStoreName. The fetched secret is constructed like objectStoreName-object-store-secret The base64 encoded field for the stored secret is not returned.

    200 - The request was processed successfully and the metadata of the of stored secrets wil be returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `objectStoreName` - (required) Name of the object store for the secret.
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `aiResourceGroup` - (optional, default to default) Specify an existing resource group id to use. Uses \"default\" if value not provided.
    Returns:
      BckndobjectStoreSecretStatus
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BckndobjectStoreSecretStatus get(@Nonnull String objectStoreName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Returns the of metadata of secrets which match the query parameter.

    This retrieves the metadata of the stored secret which match the parameter objectStoreName. The fetched secret is constructed like objectStoreName-object-store-secret The base64 encoded field for the stored secret is not returned.

    200 - The request was processed successfully and the metadata of the of stored secrets wil be returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `objectStoreName` - Name of the object store for the secret.
    Returns:
      BckndobjectStoreSecretStatus
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### patch

    @Nonnull public BckndobjectStoreSecretModificationResponse patch(@Nonnull String objectStoreName, @Nonnull BckndobjectStoreSecretWithSensitiveDataRequest bckndobjectStoreSecretWithSensitiveDataRequest, @Nullable String authorization, @Nullable String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update object store secret

    Update a secret with name of objectStoreName if it exists.

    202 - The request to update the secret based on the given configuration has been accepted.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `objectStoreName` - (required) Name of the object store for the secret.
      `bckndobjectStoreSecretWithSensitiveDataRequest` - (required) The value for the parameter bckndobjectStoreSecretWithSensitiveDataRequest
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `aiResourceGroup` - (optional, default to default) Specify an existing resource group id to use. Uses \"default\" if value not provided.
    Returns:
      BckndobjectStoreSecretModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### patch

    @Nonnull public BckndobjectStoreSecretModificationResponse patch(@Nonnull String objectStoreName, @Nonnull BckndobjectStoreSecretWithSensitiveDataRequest bckndobjectStoreSecretWithSensitiveDataRequest) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update object store secret

    Update a secret with name of objectStoreName if it exists.

    202 - The request to update the secret based on the given configuration has been accepted.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `objectStoreName` - Name of the object store for the secret.
      `bckndobjectStoreSecretWithSensitiveDataRequest` - The value for the parameter bckndobjectStoreSecretWithSensitiveDataRequest
    Returns:
      BckndobjectStoreSecretModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public BckndobjectStoreSecretStatusResponse query(@Nullable Integer $top, @Nullable Integer $skip, @Nullable Boolean $count, @Nullable String authorization, @Nullable String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get a list of metadata of available secrets.

    Retrieve a list of metadata of the stored secrets.

    200 - The request was successful and the requested metadata for the secret will be returned. This includes a list of attributes of the stored secret like - creationTimestamp, namespace etc. The secret's data field is not returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `$top` - (optional) Number of results to display
      `$skip` - (optional) Number of results to be skipped from the ordered list of results
      `$count` - (optional) When the $count field is set to false, the response contains a count of the items present in the response. When the $count field is set to true, the response contains a count of all the items present on the server, and not just the ones in the response. When the $count field is not passed, it is false by default.
      `authorization` - (optional) Authorization bearer token containing a JWT token.
      `aiResourceGroup` - (optional, default to default) Specify an existing resource group id to use. Uses \"default\" if value not provided.
    Returns:
      BckndobjectStoreSecretStatusResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public BckndobjectStoreSecretStatusResponse query() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get a list of metadata of available secrets.

    Retrieve a list of metadata of the stored secrets.

    200 - The request was successful and the requested metadata for the secret will be returned. This includes a list of attributes of the stored secret like - creationTimestamp, namespace etc. The secret's data field is not returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndobjectStoreSecretStatusResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API